<?xml version="1.0" standalone="yes"?>
  <DATAPACKET Version="2.0">
<METADATA>
<FIELDS>
<FIELD attrname="PRO_KEY" fieldtype="string" WIDTH="128">
<PARAM Name="ORIGIN" Value="PRO_KEY" Roundtrip="True"/>
</FIELD>
<FIELD attrname="PAR_KEY" fieldtype="r8">
<PARAM Name="ORIGIN" Value="PAR_KEY" Roundtrip="True"/>
</FIELD>
<FIELD attrname="TEXT" fieldtype="string" WIDTH="4000">
<PARAM Name="ORIGIN" Value="TEXT" Roundtrip="True"/>
</FIELD>
</FIELDS>
<PARAMS DEFAULT_ORDER="1 2"/>
</METADATA>
<ROWDATA>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="1" TEXT="FUNCTION CARREGARMOEDAFUNCIONAL (&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="4" TEXT="PDATAMOEDA in DATE) return SMALLINT&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="5" TEXT=" &#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="6" TEXT=" as &#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="7" TEXT="  aCodigoMoeda smallint;&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="8" TEXT="begin&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="9" TEXT="  select CodigoMoeda into aCodigoMoeda&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="10" TEXT="   from OPCAOMOEDAFUNCIONAL&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="11" TEXT="  where CODIGOEMPRESA = pCodigoEmpresa&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="12" TEXT="    and CODIGOESTAB = pCodigoEstab&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="13" TEXT="    and DATAINICIAL &lt;= pDataMoeda&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="14" TEXT="    and (DATAFINAL &gt;= pDataMoeda or DATAFINAL is null);&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="15" TEXT="&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="16" TEXT="  if (aCodigoMoeda is null) then&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="17" TEXT="    select CodigoMoeda into aCodigoMoeda&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="18" TEXT="     from OPCAOMOEDAFUNCIONAL&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="19" TEXT="    where CODIGOEMPRESA = pCodigoEmpresa&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="20" TEXT="      and CODIGOESTAB = 1/*Matriz*/&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="21" TEXT="      and DATAINICIAL &lt;= pDataMoeda&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="22" TEXT="      and (DATAFINAL &gt;= pDataMoeda or DATAFINAL is null);&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="23" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="24" TEXT="&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="25" TEXT="  return aCodigoMoeda;&#010;"/>
<ROW PRO_KEY="CARREGARMOEDAFUNCIONAL" PAR_KEY="26" TEXT="end;"/>
<ROW PRO_KEY="F_COLLATEBR" PAR_KEY="1" TEXT="FUNCTION &quot;F_COLLATEBR&quot; (text in string)&#010;"/>
<ROW PRO_KEY="F_COLLATEBR" PAR_KEY="2" TEXT="return string&#010;"/>
<ROW PRO_KEY="F_COLLATEBR" PAR_KEY="3" TEXT="as&#010;"/>
<ROW PRO_KEY="F_COLLATEBR" PAR_KEY="4" TEXT="begin&#010;"/>
<ROW PRO_KEY="F_COLLATEBR" PAR_KEY="5" TEXT="return upper(Translate(text,&#010;"/>
<ROW PRO_KEY="F_COLLATEBR" PAR_KEY="6" TEXT="&apos;áâãàäåÁÂÃÀÄÅéêèëÉÊÈËíîìïÍÎÌÏóôõòöÓÔÕÒÖúûùüÚÛÙÜçÇñÑýÿÝ&apos;,&#010;"/>
<ROW PRO_KEY="F_COLLATEBR" PAR_KEY="7" TEXT="&apos;AAAAAAAAAAAAEEEEEEEEIIIIIIIIOOOOOOOOOOUUUUUUUUCCNNYYY&apos;));&#010;"/>
<ROW PRO_KEY="F_COLLATEBR" PAR_KEY="8" TEXT="end;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="1" TEXT="PROCEDURE SUBTRAIRSALDOBD (&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="4" TEXT="PCONTACTB in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="5" TEXT="PDATASALDO in DATE,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="6" TEXT="PTIPOLANCAMENTO in VARCHAR2,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="7" TEXT="PVALORDEB in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="8" TEXT="PVALORCRED in NUMBER)&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="9" TEXT="as &#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="10" TEXT="  aDataSaldoMensal date;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="11" TEXT="begin&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="12" TEXT="  aDataSaldoMensal := CAST(&apos;1.&apos; ||EXTRACT(MONTH FROM pDataSaldo) || &apos;.&apos; ||EXTRACT(YEAR FROM pDataSaldo) AS DATE);&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="13" TEXT="&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="14" TEXT="  update SALDOCTB&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="15" TEXT="     set ValorDeb  = ValorDeb  - pValorDeb,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="16" TEXT="         ValorCred = ValorCred - pValorCred&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="17" TEXT="   where CodigoEmpresa  = pCodigoEmpresa&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="18" TEXT="     and CodigoEstab    = pCodigoEstab&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="19" TEXT="     and ContaCtb       = pContaCtb&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="20" TEXT="     and DataSaldo      = pDataSaldo&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="21" TEXT="     and TipoLancamento = pTipoLancamento;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="22" TEXT="&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="23" TEXT="  update SALDOCTBMENSAL&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="24" TEXT="     set ValorDeb  = ValorDeb  - pValorDeb,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="25" TEXT="         ValorCred = ValorCred - pValorCred&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="26" TEXT="   where CodigoEmpresa  = pCodigoEmpresa&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="27" TEXT="     and CodigoEstab    = pCodigoEstab&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="28" TEXT="     and ContaCtb       = pContaCtb&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="29" TEXT="     and DataSaldo      = aDataSaldoMensal&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="30" TEXT="     and TipoLancamento = pTipoLancamento;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBD" PAR_KEY="31" TEXT="end;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="1" TEXT="PROCEDURE SUBTRAIRSALDOBDHIST (&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="4" TEXT="PCONTACTB in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="5" TEXT="PDATASALDO in DATE,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="6" TEXT="PTIPOLANCAMENTO in VARCHAR2,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="7" TEXT="PCODIGOHISTCTB in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="8" TEXT="PVALORDEB in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="9" TEXT="PVALORCRED in NUMBER)&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="10" TEXT="as &#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="11" TEXT=" aDataSaldoMensal date;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="12" TEXT="begin&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="13" TEXT="  aDataSaldoMensal := CAST(&apos;1.&apos; ||EXTRACT(MONTH FROM pDataSaldo) || &apos;.&apos; ||EXTRACT(YEAR FROM pDataSaldo) AS DATE);&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="14" TEXT="&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="15" TEXT="  update SALDOCTBMENSALHIST&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="16" TEXT="     set ValorDeb  = ValorDeb  - pValorDeb,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="17" TEXT="         ValorCred = ValorCred - pValorCred&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="18" TEXT="   where CodigoEmpresa  = pCodigoEmpresa&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="19" TEXT="     and CodigoEstab    = pCodigoEstab&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="20" TEXT="     and ContaCtb       = pContaCtb&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="21" TEXT="     and DataSaldo      = aDataSaldoMensal&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="22" TEXT="     and TipoLancamento = pTipoLancamento&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="23" TEXT="     and CodigoHistCtb  = pCodigoHistCtb;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDHIST" PAR_KEY="24" TEXT="end;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="1" TEXT="PROCEDURE SUBTRAIRSALDOBDMOEDA (&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="4" TEXT="PCONTACTB in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="5" TEXT="PDATASALDO in DATE,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="6" TEXT="PTIPOLANCAMENTO in VARCHAR2,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="7" TEXT="PCODIGOMOEDA in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="8" TEXT="PVALORDEB in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="9" TEXT="PVALORCRED in NUMBER)&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="10" TEXT="as &#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="11" TEXT=" aDataSaldoMensal date;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="12" TEXT="begin&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="13" TEXT="  aDataSaldoMensal := CAST(&apos;1.&apos; ||EXTRACT(MONTH FROM pDataSaldo) || &apos;.&apos; ||EXTRACT(YEAR FROM pDataSaldo) AS DATE);&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="14" TEXT="&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="15" TEXT="  update SALDOCTBMOEDA&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="16" TEXT="     set ValorDeb  = ValorDeb  - pValorDeb,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="17" TEXT="         ValorCred = ValorCred - pValorCred&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="18" TEXT="   where CodigoEmpresa  = pCodigoEmpresa&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="19" TEXT="     and CodigoEstab    = pCodigoEstab&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="20" TEXT="     and ContaCtb       = pContaCtb&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="21" TEXT="     and DataSaldo      = pDataSaldo&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="22" TEXT="     and TipoLancamento = pTipoLancamento&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="23" TEXT="     and CodigoMoeda    = pCodigoMoeda;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="24" TEXT="&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="25" TEXT="  update SALDOCTBMOEDAMENSAL&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="26" TEXT="     set ValorDeb  = ValorDeb  - pValorDeb,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="27" TEXT="         ValorCred = ValorCred - pValorCred&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="28" TEXT="   where CodigoEmpresa  = pCodigoEmpresa&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="29" TEXT="     and CodigoEstab    = pCodigoEstab&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="30" TEXT="     and ContaCtb       = pContaCtb&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="31" TEXT="     and DataSaldo      = aDataSaldoMensal&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="32" TEXT="     and TipoLancamento = pTipoLancamento&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="33" TEXT="     and CodigoMoeda    = pCodigoMoeda;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOBDMOEDA" PAR_KEY="34" TEXT="end;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="1" TEXT="PROCEDURE SUBTRAIRSALDOCTB (&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="4" TEXT="PCONTACTBDEB in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="5" TEXT="PCONTACTBCRED in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="6" TEXT="PDATASALDO in DATE,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="7" TEXT="PTIPOLANCAMENTO in VARCHAR2,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="8" TEXT="PVALORSALDOCTB in NUMBER)&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="9" TEXT="as &#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="10" TEXT="begin&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="11" TEXT="  if (pContaCtbDeb is not null) then&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="12" TEXT="    SUBTRAIRSALDOBD(pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="13" TEXT="                    pCodigoEstab,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="14" TEXT="                    pContaCtbDeb,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="15" TEXT="                    pDataSaldo,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="16" TEXT="                    pTipoLancamento,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="17" TEXT="                    pValorSaldoCtb,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="18" TEXT="                    0);&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="19" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="20" TEXT="  &#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="21" TEXT="  if (pContaCtbCred is not null) then&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="22" TEXT="    SUBTRAIRSALDOBD(pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="23" TEXT="                    pCodigoEstab,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="24" TEXT="                    pContaCtbCred,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="25" TEXT="                    pDataSaldo,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="26" TEXT="                    pTipoLancamento,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="27" TEXT="                    0,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="28" TEXT="                    pValorSaldoCtb);&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="29" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTB" PAR_KEY="30" TEXT="end;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="1" TEXT="PROCEDURE SUBTRAIRSALDOCTBHIST (&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="4" TEXT="PCONTACTBDEB in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="5" TEXT="PCONTACTBCRED in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="6" TEXT="PDATASALDO in DATE,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="7" TEXT="PTIPOLANCAMENTO in VARCHAR2,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="8" TEXT="PCODIGOHISTCTB in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="9" TEXT="PVALORSALDOCTB in NUMBER)&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="10" TEXT="as &#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="11" TEXT="begin&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="12" TEXT="  if (pCodigoHistCtb is not null) then&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="13" TEXT="    if (pContaCtbDeb is not null) then&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="14" TEXT="      SUBTRAIRSALDOBDHIST(pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="15" TEXT="                          pCodigoEstab,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="16" TEXT="                          pContaCtbDeb,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="17" TEXT="                          pDataSaldo,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="18" TEXT="                          pTipoLancamento,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="19" TEXT="                          pCodigoHistCtb,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="20" TEXT="                          pValorSaldoCtb,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="21" TEXT="                          0);&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="22" TEXT="    end if;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="23" TEXT="  &#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="24" TEXT="    if (pContaCtbCred is not null) then&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="25" TEXT="      SUBTRAIRSALDOBDHIST(pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="26" TEXT="                          pCodigoEstab,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="27" TEXT="                          pContaCtbCred,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="28" TEXT="                          pDataSaldo,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="29" TEXT="                          pTipoLancamento,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="30" TEXT="                          pCodigoHistCtb,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="31" TEXT="                          0,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="32" TEXT="                          pValorSaldoCtb);&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="33" TEXT="    end if;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="34" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBHIST" PAR_KEY="35" TEXT="end;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="1" TEXT="PROCEDURE SUBTRAIRSALDOCTBMOEDA (&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="4" TEXT="PCONTACTBDEB in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="5" TEXT="PCONTACTBCRED in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="6" TEXT="PDATASALDO in DATE,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="7" TEXT="PTIPOLANCAMENTO in VARCHAR2,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="8" TEXT="PVALORLCTOMOEDA in NUMBER,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="9" TEXT="PCODIGOMOEDALCTO in SMALLINT)&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="10" TEXT="as &#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="11" TEXT=" aMoedaFuncional smallint;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="12" TEXT="begin&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="13" TEXT="  if (pValorLctoMoeda is not null) then&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="14" TEXT="&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="15" TEXT="    aMoedaFuncional := pCodigoMoedaLcto;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="16" TEXT="&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="17" TEXT="    if (aMoedaFuncional is null) then&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="18" TEXT="      select CARREGARMOEDAFUNCIONAL(pCodigoEmpresa, pCodigoEstab, pDataSaldo) into aMoedaFuncional from dual;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="19" TEXT="    end if;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="20" TEXT="&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="21" TEXT="    if (aMoedaFuncional is not null) then&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="22" TEXT="      if (pContaCtbDeb is not null) then&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="23" TEXT="        SUBTRAIRSALDOBDMOEDA(pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="24" TEXT="                             pCodigoEstab,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="25" TEXT="                             pContaCtbDeb,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="26" TEXT="                             pDataSaldo,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="27" TEXT="                             pTipoLancamento,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="28" TEXT="                             aMoedaFuncional,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="29" TEXT="                             pValorLctoMoeda,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="30" TEXT="                             0);&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="31" TEXT="      end if;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="32" TEXT="  &#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="33" TEXT="      if (pContaCtbCred is not null) then&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="34" TEXT="        SUBTRAIRSALDOBDMOEDA(pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="35" TEXT="                             pCodigoEstab,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="36" TEXT="                             pContaCtbCred,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="37" TEXT="                             pDataSaldo,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="38" TEXT="                             pTipoLancamento,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="39" TEXT="                             aMoedaFuncional,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="40" TEXT="                             0,&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="41" TEXT="                             pValorLctoMoeda);&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="42" TEXT="      end if;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="43" TEXT="    end if;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="44" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="SUBTRAIRSALDOCTBMOEDA" PAR_KEY="45" TEXT="end;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="1" TEXT="PROCEDURE TOTALIZARSALDOBD (&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="4" TEXT="PCONTACTB in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="5" TEXT="PDATASALDO in DATE,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="6" TEXT="PTIPOLANCAMENTO in VARCHAR2,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="7" TEXT="PVALORDEB in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="8" TEXT="PVALORCRED in NUMBER)&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="9" TEXT="as &#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="10" TEXT=" aDataSaldoMensal date;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="11" TEXT="begin&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="12" TEXT="  aDataSaldoMensal := CAST(&apos;1.&apos; ||EXTRACT(MONTH FROM pDataSaldo) || &apos;.&apos; ||EXTRACT(YEAR FROM pDataSaldo) AS DATE);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="13" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="14" TEXT="  update SALDOCTB&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="15" TEXT="     set ValorDeb  = ValorDeb  + pValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="16" TEXT="         ValorCred = ValorCred + pValorCred&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="17" TEXT="   where CodigoEmpresa  = pCodigoEmpresa&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="18" TEXT="     and CodigoEstab    = pCodigoEstab&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="19" TEXT="     and ContaCtb       = pContaCtb&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="20" TEXT="     and DataSaldo      = pDataSaldo&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="21" TEXT="     and TipoLancamento = pTipoLancamento;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="22" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="23" TEXT="  if (sql%rowcount = 0) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="24" TEXT="    insert into SALDOCTB (CodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="25" TEXT="                          CodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="26" TEXT="                          ContaCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="27" TEXT="                          DataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="28" TEXT="                          TipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="29" TEXT="                          ValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="30" TEXT="                          ValorCred)&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="31" TEXT="                  values (pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="32" TEXT="                          pCodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="33" TEXT="                          pContaCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="34" TEXT="                          pDataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="35" TEXT="                          pTipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="36" TEXT="                          pValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="37" TEXT="                          pValorCred);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="38" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="39" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="40" TEXT="  update SALDOCTBMENSAL&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="41" TEXT="     set ValorDeb  = ValorDeb  + pValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="42" TEXT="         ValorCred = ValorCred + pValorCred&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="43" TEXT="   where CodigoEmpresa  = pCodigoEmpresa&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="44" TEXT="     and CodigoEstab    = pCodigoEstab&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="45" TEXT="     and ContaCtb       = pContaCtb&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="46" TEXT="     and DataSaldo      = aDataSaldoMensal&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="47" TEXT="     and TipoLancamento = pTipoLancamento;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="48" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="49" TEXT="  if (sql%rowcount = 0) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="50" TEXT="    insert into SALDOCTBMENSAL (CodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="51" TEXT="                                CodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="52" TEXT="                                ContaCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="53" TEXT="                                DataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="54" TEXT="                                TipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="55" TEXT="                                ValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="56" TEXT="                                ValorCred)&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="57" TEXT="                        values (pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="58" TEXT="                                pCodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="59" TEXT="                                pContaCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="60" TEXT="                                aDataSaldoMensal,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="61" TEXT="                                pTipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="62" TEXT="                                pValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="63" TEXT="                                pValorCred);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="64" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBD" PAR_KEY="65" TEXT="end;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="1" TEXT="PROCEDURE TOTALIZARSALDOBDHIST (&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="4" TEXT="PCONTACTB in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="5" TEXT="PDATASALDO in DATE,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="6" TEXT="PTIPOLANCAMENTO in VARCHAR2,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="7" TEXT="PCODIGOHISTCTB in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="8" TEXT="PVALORDEB in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="9" TEXT="PVALORCRED in NUMBER)&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="10" TEXT="as &#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="11" TEXT=" aDataSaldoMensal date;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="12" TEXT="begin&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="13" TEXT="  aDataSaldoMensal := CAST(&apos;1.&apos; ||EXTRACT(MONTH FROM pDataSaldo) || &apos;.&apos; ||EXTRACT(YEAR FROM pDataSaldo) AS DATE);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="14" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="15" TEXT="  update SALDOCTBMENSALHIST&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="16" TEXT="     set ValorDeb  = ValorDeb  + pValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="17" TEXT="         ValorCred = ValorCred + pValorCred&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="18" TEXT="   where CodigoEmpresa  = pCodigoEmpresa&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="19" TEXT="     and CodigoEstab    = pCodigoEstab&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="20" TEXT="     and ContaCtb       = pContaCtb&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="21" TEXT="     and DataSaldo      = aDataSaldoMensal&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="22" TEXT="     and TipoLancamento = pTipoLancamento&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="23" TEXT="     and CodigoHistCtb  = pCodigoHistCtb;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="24" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="25" TEXT="  if (sql%rowcount = 0) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="26" TEXT="    insert into SALDOCTBMENSALHIST (CodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="27" TEXT="                                    CodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="28" TEXT="                                    ContaCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="29" TEXT="                                    DataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="30" TEXT="                                    TipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="31" TEXT="                                    CodigoHistCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="32" TEXT="                                    ValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="33" TEXT="                                    ValorCred)&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="34" TEXT="                            values (pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="35" TEXT="                                    pCodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="36" TEXT="                                    pContaCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="37" TEXT="                                    aDataSaldoMensal,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="38" TEXT="                                    pTipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="39" TEXT="                                    pCodigoHistCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="40" TEXT="                                    pValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="41" TEXT="                                    pValorCred);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="42" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDHIST" PAR_KEY="43" TEXT="end;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="1" TEXT="PROCEDURE TOTALIZARSALDOBDMOEDA (&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="4" TEXT="PCONTACTB in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="5" TEXT="PDATASALDO in DATE,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="6" TEXT="PTIPOLANCAMENTO in VARCHAR2,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="7" TEXT="PCODIGOMOEDA in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="8" TEXT="PVALORDEB in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="9" TEXT="PVALORCRED in NUMBER)&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="10" TEXT="as &#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="11" TEXT=" aDataSaldoMensal date;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="12" TEXT="begin&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="13" TEXT="  aDataSaldoMensal := CAST(&apos;1.&apos; ||EXTRACT(MONTH FROM pDataSaldo) || &apos;.&apos; ||EXTRACT(YEAR FROM pDataSaldo) AS DATE);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="14" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="15" TEXT="  update SALDOCTBMOEDA&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="16" TEXT="     set ValorDeb  = ValorDeb  + pValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="17" TEXT="         ValorCred = ValorCred + pValorCred&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="18" TEXT="   where CodigoEmpresa  = pCodigoEmpresa&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="19" TEXT="     and CodigoEstab    = pCodigoEstab&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="20" TEXT="     and ContaCtb       = pContaCtb&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="21" TEXT="     and DataSaldo      = pDataSaldo&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="22" TEXT="     and TipoLancamento = pTipoLancamento&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="23" TEXT="     and CodigoMoeda    = pCodigoMoeda;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="24" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="25" TEXT="  if (sql%rowcount = 0) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="26" TEXT="    insert into SALDOCTBMOEDA (CodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="27" TEXT="                               CodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="28" TEXT="                               ContaCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="29" TEXT="                               DataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="30" TEXT="                               TipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="31" TEXT="                               CodigoMoeda,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="32" TEXT="                               ValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="33" TEXT="                               ValorCred)&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="34" TEXT="                       values (pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="35" TEXT="                               pCodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="36" TEXT="                               pContaCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="37" TEXT="                               pDataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="38" TEXT="                               pTipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="39" TEXT="                               pCodigoMoeda,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="40" TEXT="                               pValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="41" TEXT="                               pValorCred);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="42" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="43" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="44" TEXT="  update SALDOCTBMOEDAMENSAL&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="45" TEXT="     set ValorDeb  = ValorDeb  + pValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="46" TEXT="         ValorCred = ValorCred + pValorCred&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="47" TEXT="   where CodigoEmpresa  = pCodigoEmpresa&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="48" TEXT="     and CodigoEstab    = pCodigoEstab&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="49" TEXT="     and ContaCtb       = pContaCtb&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="50" TEXT="     and DataSaldo      = aDataSaldoMensal&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="51" TEXT="     and TipoLancamento = pTipoLancamento&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="52" TEXT="     and CodigoMoeda    = pCodigoMoeda;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="53" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="54" TEXT="  if (sql%rowcount = 0) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="55" TEXT="    insert into SALDOCTBMOEDAMENSAL (CodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="56" TEXT="                                     CodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="57" TEXT="                                     ContaCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="58" TEXT="                                     DataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="59" TEXT="                                     TipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="60" TEXT="                                     CodigoMoeda,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="61" TEXT="                                     ValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="62" TEXT="                                     ValorCred)&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="63" TEXT="                             values (pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="64" TEXT="                                     pCodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="65" TEXT="                                     pContaCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="66" TEXT="                                     aDataSaldoMensal,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="67" TEXT="                                     pTipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="68" TEXT="                                     pCodigoMoeda,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="69" TEXT="                                     pValorDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="70" TEXT="                                     pValorCred);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="71" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOBDMOEDA" PAR_KEY="72" TEXT="end;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="1" TEXT="PROCEDURE TOTALIZARSALDOCTB (&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="4" TEXT="PCONTACTBDEB in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="5" TEXT="PCONTACTBCRED in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="6" TEXT="PDATASALDO in DATE,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="7" TEXT="PTIPOLANCAMENTO in VARCHAR2,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="8" TEXT="PVALORSALDOCTB in NUMBER)&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="9" TEXT="as &#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="10" TEXT="begin&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="11" TEXT="  if (pContaCtbDeb is not null) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="12" TEXT="    TOTALIZARSALDOBD(pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="13" TEXT="                     pCodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="14" TEXT="                     pContaCtbDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="15" TEXT="                     pDataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="16" TEXT="                     pTipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="17" TEXT="                     pValorSaldoCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="18" TEXT="                     0);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="19" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="20" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="21" TEXT="  if (pContaCtbCred is not null) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="22" TEXT="    TOTALIZARSALDOBD(pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="23" TEXT="                     pCodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="24" TEXT="                     pContaCtbCred,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="25" TEXT="                     pDataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="26" TEXT="                     pTipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="27" TEXT="                     0,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="28" TEXT="                     pValorSaldoCtb);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="29" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTB" PAR_KEY="30" TEXT="end;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="1" TEXT="PROCEDURE TOTALIZARSALDOCTBHIST (&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="4" TEXT="PCONTACTBDEB in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="5" TEXT="PCONTACTBCRED in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="6" TEXT="PDATASALDO in DATE,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="7" TEXT="PTIPOLANCAMENTO in VARCHAR2,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="8" TEXT="PCODIGOHISTCTB in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="9" TEXT="PVALORSALDOCTB in NUMBER)&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="10" TEXT="as &#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="11" TEXT="begin&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="12" TEXT="  if (pCodigoHistCtb is not null) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="13" TEXT="    if (pContaCtbDeb is not null) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="14" TEXT="      TOTALIZARSALDOBDHIST(pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="15" TEXT="                           pCodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="16" TEXT="                           pContaCtbDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="17" TEXT="                           pDataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="18" TEXT="                           pTipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="19" TEXT="                           pCodigoHistCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="20" TEXT="                           pValorSaldoCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="21" TEXT="                           0);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="22" TEXT="    end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="23" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="24" TEXT="    if (pContaCtbCred is not null) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="25" TEXT="      TOTALIZARSALDOBDHIST(pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="26" TEXT="                           pCodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="27" TEXT="                           pContaCtbCred,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="28" TEXT="                           pDataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="29" TEXT="                           pTipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="30" TEXT="                           pCodigoHistCtb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="31" TEXT="                           0,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="32" TEXT="                           pValorSaldoCtb);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="33" TEXT="    end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="34" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBHIST" PAR_KEY="35" TEXT="end;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="1" TEXT="PROCEDURE TOTALIZARSALDOCTBMOEDA (&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="2" TEXT="PCODIGOEMPRESA in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="3" TEXT="PCODIGOESTAB in SMALLINT,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="4" TEXT="PCONTACTBDEB in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="5" TEXT="PCONTACTBCRED in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="6" TEXT="PDATASALDO in DATE,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="7" TEXT="PTIPOLANCAMENTO in VARCHAR2,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="8" TEXT="PVALORLCTOMOEDA in NUMBER,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="9" TEXT="PCODIGOMOEDALCTO in SMALLINT)&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="10" TEXT="as &#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="11" TEXT=" aMoedaFuncional smallint;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="12" TEXT="begin&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="13" TEXT="  if (pValorLctoMoeda is not null) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="14" TEXT="    aMoedaFuncional := pCodigoMoedaLcto;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="15" TEXT="    if (aMoedaFuncional is null) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="16" TEXT="      select CARREGARMOEDAFUNCIONAL(pCodigoEmpresa, pCodigoEstab, pDataSaldo) into aMoedaFuncional from dual;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="17" TEXT="    end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="18" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="19" TEXT="    if (aMoedaFuncional is not null) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="20" TEXT="      if (pContaCtbDeb is not null) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="21" TEXT="        TOTALIZARSALDOBDMOEDA(pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="22" TEXT="                              pCodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="23" TEXT="                              pContaCtbDeb,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="24" TEXT="                              pDataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="25" TEXT="                              pTipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="26" TEXT="                              aMoedaFuncional,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="27" TEXT="                              pValorLctoMoeda,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="28" TEXT="                              0);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="29" TEXT="      end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="30" TEXT="&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="31" TEXT="      if (pContaCtbCred is not null) then&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="32" TEXT="        TOTALIZARSALDOBDMOEDA(pCodigoEmpresa,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="33" TEXT="                              pCodigoEstab,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="34" TEXT="                              pContaCtbCred,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="35" TEXT="                              pDataSaldo,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="36" TEXT="                              pTipoLancamento,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="37" TEXT="                              aMoedaFuncional,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="38" TEXT="                              0,&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="39" TEXT="                              pValorLctoMoeda);&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="40" TEXT="      end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="41" TEXT="    end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="42" TEXT="  end if;&#010;"/>
<ROW PRO_KEY="TOTALIZARSALDOCTBMOEDA" PAR_KEY="43" TEXT="end;"/>
</ROWDATA>
</DATAPACKET>
